package com.jwipc.supplier.logic;

import com.jwipc.page.PageView;
import com.jwipc.supplier.dto.SupplierTemplateBaseDTO;
import com.jwipc.supplier.dto.SupplierTemplateFieldsDTO;
import com.jwipc.supplier.dto.SupplierTemplateSaveDTO;
import com.jwipc.supplier.model.query.SupplierTemplateQuery;

import java.util.List;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface SupplierTemplateLogic {
    PageView getList(SupplierTemplateQuery query);

    SupplierTemplateBaseDTO getDetail(Long id);

    SupplierTemplateFieldsDTO getField(Long templateId);

    PageView getFieldsListAll();

    void saveOrUpdate(SupplierTemplateSaveDTO supplierTemplateSaveDTO);

    void remove(Long id);

    List<SupplierTemplateBaseDTO> getListAll();

}